body {
    margin: 0;
    font-family: Arial, sans-serif;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.index, .background-box, .background-box-tips {
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    background-attachment: fixed;
}

.index {

    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    background-attachment: fixed;
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.title-box {
    background-color: #333;
    color: white;
    padding: 20px;
    text-align: center;
}

.title {
    margin: 0;
    text-align: center;
}

.navbar {
    position: fixed;
    width: 100%;
    background-color: #444;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px;
}

.home-button {
    color: white;
    text-decoration: none;
    padding: 14px 20px;
    font-size: 24px;
    font-weight: bold;
    font-family: "Noto Sans", sans-serif;}

    .noto-sans {
        font-family: "Noto Sans", sans-serif;
        font-optical-sizing: auto;
        font-weight: 700;
        font-style: normal;
        font-variation-settings:
          "wdth" 100;
      }
  

.hamburger {
    font-size: 24px;
    background: none;
    border: none;
    color: white;
    cursor: pointer;
    display: none;
    padding-right: 24px;
}

.nav-list {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
}

.nav-list li {
    margin: 0 5px;
}

.nav-list li a {
    display: block;
    color: white;
    text-align: center;
    padding: 14px 20px;
    text-decoration: none;
}

.nav-list li a:hover {
    background-color: #555;
}

.content-link {
    text-decoration: none; 
    color: inherit; 
    display: block; 
}

.content-box:hover {
    transform: translateY(-10px);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
    transition: transform 0.2s, box-shadow 0.2s;
}

@media (max-width: 768px) {
    .hamburger {
        display: block;
    }

    .nav-list {
        display: none;
        flex-direction: column;
        width: 100%;
    }

    .nav-list li {
        width: 100%;
        text-align: center;
    }

    .nav-list.show {
        display: flex;
    }
}

.footing {
    background-color: #333;
    color: white;
    text-align: center;
    padding: 10px 20px;
    position: fixed;
    bottom: 0;
    width: 100%;
    z-index: 999;
}

.footing p {
    margin: 0;
    font-size: 80%;
}

.content-container {
    margin-top: 80px;
    display: flex;
    justify-content: space-between;
    padding: 20px;
    width: 100%;
    box-sizing: border-box;
    gap: 20px;
    margin-top: auto;
}

.content-box {
    flex: 1;
    background-color: #ffffff;
    padding: 20px;
    border: 1px solid #ddd;
    margin: 10px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.2s, box-shadow 0.2s;
    background: linear-gradient(135deg, #f6f8f9, #e9ecef);
}

.content-box h2 {
    margin-top: 0;
    font-family: 'Arial', sans-serif;
    color: #333;
}

.content-box p {
    font-family: 'Arial', sans-serif;
    color: #666;
}

.content-box:hover {
    transform: translateY(-10px);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}

@media (max-width: 768px) {
    .content-container {
        flex-direction: column;
        margin-top: 120px;
    }

    .content-box {
        margin-bottom: 20px;
    }
}

.grid-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: auto auto auto;
    gap: 20px;
    padding: 20px;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    
}

.grid-item, .grid-item-wide {
    background-color: rgba(249, 249, 249, 0.9);
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    text-align: center;
}

.grid-item-wide a {
    text-decoration: none; 
    font-weight: bold;
    color: #000000; 

    
}

.grid-item-wide a:hover {
    text-decoration: underline;
    color: #000000; 
}

.grid-item-wide {
    grid-column: span 2; 
}

.grid-item img {
    width: 100%;
    max-width: 400px;
    height: auto;
    display: block;
    border-radius: 10px;
    margin: 0 auto;
}

.nested-grid-container {
    display: grid;
    grid-template-columns: 1fr 1fr; 
    grid-template-rows: repeat(7, auto);
    gap: 10px;
    margin-top: 20px; 
}

.nested-grid-item {
    background-color: #e0e0e0;
    padding: 10px;
    border-radius: 5px;
    text-align: left;
}

.nested-grid-item:nth-child(odd) {
    font-weight: bold;
}

@media (max-width: 768px) {
    .grid-container {
        grid-template-columns: 1fr; 
    }

    .grid-item-wide {
        grid-column: span 1; 
    }
}

main {
    position: relative;
    z-index: 2;
    background-color: rgba(255, 255, 255, 0.9);
    display: flex;
    flex-direction: column;
    align-items: center; 
    padding-bottom: 40px;
}

.tips-container {
    padding: 20px;
    display: grid;
    grid-template-columns: 1fr 1fr; 
    gap: 20px;
}

.tip-item-wide {
    grid-column: span 2;
    background-color: rgba(224, 224, 224, 0.9);
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.tip-item {
    background-color: rgba(224, 224, 224, 0.9);
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.tip-item h2 {
    margin-top: 0;
    font-family: 'Arial', sans-serif;
    color: #333;
}

.tip-item p {
    font-family: 'Arial', sans-serif;
    color: #333;
}

@media (max-width: 768px) {
    .tips-container {
        grid-template-columns: 1fr; 
    }
    .tip-item-wide {
        grid-column: span 1;
    }
}

iframe {
    width: 100%;
    max-width: 800px;
}

.tip-item ul {
    font-family: 'Arial', sans-serif;
    color: #333;
}

.video-section {
    padding: 20px;
    text-align: center; 
    background-color: rgba(224, 224, 224, 0.9);
    border-radius: 10px;
    
}
.video-section h2{
    color: black;
    margin-bottom: 20px;
    
}

.video-section p {
    margin-top: 10px;
    margin-bottom: 40px;
    color: black;
}

@media (max-width: 640px) {
    .index {
        background-image: url('pictures/homePagePics/smallBarbell.jpg');
        background-size: cover;
    }
    .background-box {
        background-image: url('pictures/homePagePics/smallBarbell.jpg');
        background-size: cover; 
    }
    .main-tips {
        background-image: url('pictures/aboutPagePics/dumbellsSmall.jpg');
        background-size: cover;
    }
    .grid-container {
        background-image: url('pictures/tipsPagePics/womanSmall.jpg');
        background-size: cover;
        
    }

    .main-form {
        background-image: url('pictures/contactPagePics/squatSmall.jpg');
        background-size: cover;
    }
    
}

@media (min-width: 641px) {
    .index {
        background-image: url('pictures/homePagePics/barbell.jpg');
    }
    .background-box {
        background-image: url('pictures/homePagePics/barbell.jpg');
    }
    .main-tips {
        background-image: url('pictures/aboutPagePics/dumbells.jpg');
    }
    .grid-container {
        background-image: url('pictures/tipsPagePics/woman.jpg');
    }
    .main-form{
        background-image: url('pictures/contactPagePics/squat.jpg');
    }
}
.main-tips{
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
}
.main-form{
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
}

.form-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 20px;
    margin-bottom: 100px; 
}

form {
    background-color: rgba(255, 255, 255, 0.9); 
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    width: 100%;
    max-width: 600px;
}

fieldset {
    border: none;
    padding: 0;
    margin-bottom: 20px;
}

legend {
    font-size: 1.2em;
    margin-bottom: 10px;
}

label {
    display: block;
    margin-bottom: 5px;
}

input, select, textarea {
    width: 100%;
    padding: 8px;
    box-sizing: border-box;
    border: 1px solid #ddd;
    border-radius: 5px;
    margin-bottom: 10px;
}

input[type="checkbox"],
input[type="radio"] {
    width: auto;
    margin-right: 10px; 
}

input[type="submit"] {
    background-color: #444;
    color: white;
    cursor: pointer;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
}

input[type="submit"]:hover {
    background-color: #555;
}

body.index main {
    margin-top: 60px;
    margin-bottom: 60px; 
    padding: 20px;
    background: rgba(255, 255, 255, 0.9);
}

.checkbox-label, .radio-label {
    display: flex;
    align-items: center;
    margin-bottom: 5px;
}

.gallery-container {
    padding: 40px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, auto);
    gap: 20px;
    max-width: 1200px;
    margin: 0 auto;
    padding-bottom: 80px; 
}


.gallery-item {
    background-color: rgba(255, 255, 255, 0.8); 
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.2s, box-shadow 0.2s;
}

.gallery-item img {
    width: 100%;
    height: auto;
    display: block;
}


.gallery-item:hover {
    transform: translateY(-10px);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}


@media (max-width: 768px) {
    .gallery-container {
        grid-template-columns: 1fr 1fr; 
        grid-template-rows: auto; 
    }
}

@media (max-width: 480px) {
    .gallery-container {
        grid-template-columns: 1fr; 
        grid-template-rows: auto; 
    }
}